<?php

/**
 * Shortcode Builder.
 *
 * @link    https://aiopodcasting.com
 * @since   1.0.0
 *
 * @package AiO_Podcast_Studio
 */

// Exit if accessed directly
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * AIOPOD_Admin_Shortcode_Builder class.
 *
 * @since 1.0.0
 */
class AIOPOD_Admin_Shortcode_Builder {

	/**
	 * Add a "Shortcode Builder" admin menu.
	 *
	 * @since 1.0.0
	 */
	public function admin_menu() {	
		add_submenu_page(
			'aio-podcast-studio',
			__( 'AiO Podcast Studio - Shortcode Builder', 'aio-podcast-studio' ),
			__( 'Shortcode Builder', 'aio-podcast-studio' ),
			'manage_aiopod_options',
			'shortcode-builder',
			array( $this, 'display_page_content' )
		);	
	}

	/**
	 * Display page content.
	 *
	 * @since 1.0.0
	 */
	public function display_page_content() {
		require_once AIOPOD_PLUGIN_DIR . 'admin/partials/shortcode-builder/shortcode-builder.php';	
	}	

}
